ata_scsi_change_queue_depth
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsi_change_queue_depth — SCSI callback for queue depth config

## Synopsis

`int ata_scsi_change_queue_depth (` | struct scsi_device * | sdev,
| int | queue_depth`)`;

## Arguments

`sdev`

  SCSI device to configure queue depth for

`queue_depth`

  new queue depth

## Description

This is libata standard hostt->change_queue_depth callback. SCSI will call into this callback when user tries to set queue depth via sysfs.

## LOCKING

SCSI layer (we don't care)

## RETURNS

Newly configured queue depth.

Prev | Up | Next
ata_scsi_slave_destroy | Home | ata_scsi_queuecmd